Bug 206425 - (LSPP/IBM) LTC26969-[LSPP Audit] Filtering on PPID for = and != is inverted
LTC26969-[LSPP Audit] Filtering on PPID for = and != is inverted
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eric Paris
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-14 07:26 EDT by Issue Tracker
Modified: 2007-11-30 17:07 EST (History)
5 users (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-17 09:47:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch sent to linux-audit for review (462 bytes, patch)
2006-09-27 22:13 EDT, Eric Paris
no flags Details | Diff

  None (edit)
Description Issue Tracker 2006-09-14 07:26:29 EDT
Escalated to Bugzilla from IssueTracker
Comment 3 Eric Paris 2006-09-27 20:55:25 EDT
It's not exactly backwards.  It's actually that ctx->ppid in audit_filter_rules
is actually set to 0.  That is supposed to be the ppid of the task which made
the call.  (I'm not sure why i couldn't just use sys_getppid() there, but i'm
going to figure out why this isn't set.
Comment 4 Eric Paris 2006-09-27 22:13:15 EDT
Created attachment 137281 [details]
Patch sent to linux-audit for review
Comment 5 Linda Wang 2006-09-29 14:34:05 EDT
patch posted for review on 9/29/06
Comment 6 Don Zickus 2006-10-09 17:43:30 EDT
in kernel-2.6.18-1.2718.el5

Note You need to log in before you can comment on or make changes to this bug.